.images-gallery{
  padding-top: 15%;
  padding-bottom: 20%;

  h1{
    text-align: center;
  }
  .wrapper{
    display: flex;
    max-width: 1270px;
  }

  .images-gallery-img{
    position: relative;
    cursor: pointer;

    .img{
      padding: 20px;
    }

    .img-overlay {
      @include position($position: absolute,$top: 0,$left:0);
      @include flex($display: flex,$direction: column,$justify: center,$align: center);
      height: 100%;
      width: 100%;
      transition: .5s ease;
      opacity: 0;
      text-align: center;
      font-weight: bolder;
      font-size: 13px;
    }
    &:hover .img {
      opacity: 0.3;
    }

    &:hover .img-overlay {
      opacity: 1;
    }
  }
}

@media #{$iPad-pro} {
  .images-gallery{
    .wrapper{
      flex-flow: row wrap;
    }

    .col-1,.col-2,.col-3,.col-4{
      flex: 45%;
    }

    .images-gallery-img{
      .img-overlay, &:hover .img-overlay{
        opacity: 0;
        transition: none;
      }
      &:hover .img {
        opacity: 1;
      }
    }
  }
}

@media #{$iPad} {
  .images-gallery{
    padding-top: 25%;
  }
}
@media #{$mobile} {
  .images-gallery {
    padding-top: 45%;
    .wrapper {
      display: block;
    }
  }
}